
Katello - Bug #6237

remote command never finishes and can't be cancelled

06/16/2014 12:45 PM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee: Ivan Necas   

Category: Orchestration   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1057384 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1057384

When trying to run a task on a group of client servers that installs a package, it never completes. The screenshot shows a spinning

wheel for a task that has been running for weeks with finishing. There is no way to cancel this task.

See attached screenshot

The following error is repeated over and over in the Notifications screen:

404 Resource Not Found {RestClient::ResourceNotFound}

404 Resource Not Found {RestClient::ResourceNotFound}

404 Resource Not Found {RestClient::ResourceNotFound}

see attached screenshot

stacktrace:

/opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.1/lib/restclient/abstract_response.rb:48:in `return!'

/opt/rh/ruby193/root/usr/share/gems/gems/runcible-1.0.7/lib/runcible/base.rb:97:in `block in get_response'

/opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.1/lib/restclient/request.rb:218:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.1/lib/restclient/request.rb:218:in `process_result'

/opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.1/lib/restclient/request.rb:169:in `block in transmit'

/opt/rh/ruby193/root/usr/share/ruby/net/http.rb:746:in `start'

/opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.1/lib/restclient/request.rb:166:in `transmit'

/opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.1/lib/restclient/request.rb:60:in `execute'

/opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.1/lib/restclient/request.rb:31:in `execute'

/opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.1/lib/restclient/resource.rb:51:in `get'

/opt/rh/ruby193/root/usr/share/gems/gems/runcible-1.0.7/lib/runcible/base.rb:96:in `get_response'

/opt/rh/ruby193/root/usr/share/gems/gems/runcible-1.0.7/lib/runcible/base.rb:87:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/runcible-1.0.7/lib/runcible/resources/task.rb:43:in `poll'

/usr/share/katello/app/models/job.rb:28:in `block in refresh_tasks'

/usr/share/katello/app/models/job.rb:27:in `each'

/usr/share/katello/app/models/job.rb:27:in `refresh_tasks'

/usr/share/katello/app/models/job.rb:47:in `refresh_for_owner'

/usr/share/katello/app/models/system_group.rb:133:in `refreshed_jobs'

/usr/share/katello/app/controllers/system_group_events_controller.rb:53:in `event_status'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/implicit_render.rb:4:in `send_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:167:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rendering.rb:10:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:18:in `block in process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:503:in `block in run

_4462249653710196443__process_action__596392287581560342__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in 

conditional_callback_around_3946'

/usr/share/katello/app/lib/util/thread_session.rb:110:in `thread_locals'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in

`_conditional_callback_around_3946'

05/17/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1057384


/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:458:in `_run

_4462249653710196443__process_action__596392287581560342__callbacks'

Associated revisions

Revision 5c121e09 - 06/16/2014 12:47 PM - Ivan Necas

Fixes #6237 - allow canceling remote execution actions

History

#1 - 06/16/2014 12:46 PM - Ivan Necas

- Category set to Orchestration

- Status changed from New to Assigned

- Triaged set to No

#2 - 06/16/2014 01:08 PM - Ivan Necas

- Status changed from Assigned to Ready For Testing

#3 - 06/17/2014 12:35 PM - Eric Helms

- Target version set to 48

- Difficulty set to easy

- Triaged changed from No to Yes

#4 - 06/19/2014 07:52 AM - Ivan Necas

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:5c121e091da1d3c17f72971bfcd7ca339b888908.

#5 - 08/22/2014 08:34 AM - Eric Helms

- translation missing: en.field_release set to 13
